fop 1.1

## org.apache.fop.pdf
Class PDFParentTree

    java.lang.Object
      org.apache.fop.pdf.PDFObject
          org.apache.fop.pdf.PDFDictionary
              org.apache.fop.pdf.PDFNumberTreeNode
                  org.apache.fop.pdf.PDFParentTree

All Implemented Interfaces:
  PDFWritable

    public class PDFParentTree

extends PDFNumberTreeNode

Class representing a PDF /ParentTree.

Field Summary

Fields inherited from class org.apache.fop.pdf.PDFDictionary
`entries, order`

Fields inherited from class org.apache.fop.pdf.PDFObject
`log`

Constructor Summary
`PDFParentTree()`

Method Summary
`PDFNumsArray` `getNums()` Returns the number tree corresponding to this parent tree.

Methods inherited from class org.apache.fop.pdf.PDFNumberTreeNode
`getKids, getLowerLimit, getUpperLimit, setKids, setLowerLimit, setNums, setUpperLimit`

Methods inherited from class org.apache.fop.pdf.PDFDictionary
`get, output, put, put, writeDictionary`

Methods inherited from class org.apache.fop.pdf.PDFObject
`contentEquals, encode, encodeBinaryToHexString, encodeString, encodeText, formatObject, getDocument, getDocumentSafely, getGeneration, getObjectID, getObjectNumber, getParent, hasObjectNumber, makeReference, outputInline, referencePDF, setDocument, setObjectNumber, setParent, toPDF, toPDFString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PDFParentTree

    public PDFParentTree()

Method Detail

### getNums

    public PDFNumsArray getNums()

  Returns the number tree corresponding to this parent tree.

  Overrides:
    `getNums` in class `PDFNumberTreeNode`
  Returns:
    the number tree

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.